Loading...
Searching...
No Matches
juce::ComponentPaintDiagnostics Struct Reference

## Detailed Description

Holds timing and cache usage information for a Component's paint operation.

See also
  ComponentListener::componentPainted

The documentation for this struct was generated from the following file:

- juce_gui_basics/components/juce_ComponentListener.h

## Public Attributes

TimedDiagnostic | totalPaintDuration {}
| Total duration of the component's paint cycle.
TimedDiagnostic | paintDuration {}
| Duration spent executing the component's paint() method.
TimedDiagnostic | paintOverChildrenDuration {}
| Duration spent executing the component's paintOverChildren() method.
TimedDiagnostic | applyEffectDuration {}
| Duration spent executing ImageEffectFilter::applyEffect() as part of any component effect.
bool | wroteToCache {}
| True if the component wrote its painted content to a cache.
bool | readFromCache {}
| True if the component read its painted content from a cache.

## Member Data Documentation

## totalPaintDuration

TimedDiagnostic juce::ComponentPaintDiagnostics::totalPaintDuration {}

Total duration of the component's paint cycle.

## paintDuration

TimedDiagnostic juce::ComponentPaintDiagnostics::paintDuration {}

Duration spent executing the component's paint() method.

See also
  Component::paint

## paintOverChildrenDuration

TimedDiagnostic juce::ComponentPaintDiagnostics::paintOverChildrenDuration {}

Duration spent executing the component's paintOverChildren() method.

See also
  Component::paintOverChildren

## applyEffectDuration

TimedDiagnostic juce::ComponentPaintDiagnostics::applyEffectDuration {}

Duration spent executing ImageEffectFilter::applyEffect() as part of any component effect.

See also
  Component::setComponentEffect, ImageEffectFilter::applyEffect

## wroteToCache

bool juce::ComponentPaintDiagnostics::wroteToCache {}

True if the component wrote its painted content to a cache.

See also
  Component::setBufferedToImage, Component::setCachedComponentImage

## readFromCache

bool juce::ComponentPaintDiagnostics::readFromCache {}

True if the component read its painted content from a cache.

See also
  Component::setBufferedToImage, Component::setCachedComponentImage

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited